Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.packaging
Class PersistenceXmlLoader

    java.lang.Object
      org.hibernate.ejb.packaging.PersistenceXmlLoader

    public final class PersistenceXmlLoader

extends java.lang.Object

Persistence.xml handler

Author:
  Bill Burke, Emmanuel Bernard

Nested Class Summary
`static class` | `PersistenceXmlLoader.ErrorLogger`

Method Summary
`static java.util.List<PersistenceMetadata>` | `deploy(java.net.URL url, java.util.Map overrides, org.xml.sax.EntityResolver resolver)` Method used by JBoss AS 4.0.5 for parsing
`static java.util.List<PersistenceMetadata>` | `deploy(java.net.URL url, java.util.Map overrides, org.xml.sax.EntityResolver resolver, javax.persistence.spi.PersistenceUnitTransactionType defaultTransactionType)` Method used by JBoss EJB3 (4.2 and above) for parsing
`static javax.persistence.spi.PersistenceUnitTransactionType` | `getTransactionType(java.lang.String elementContent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### deploy

    public static java.util.List<PersistenceMetadata> deploy(java.net.URL url,
                                                             java.util.Map overrides,
                                                             org.xml.sax.EntityResolver resolver)
                                                      throws java.lang.Exception

  Method used by JBoss AS 4.0.5 for parsing

  Throws:
    `java.lang.Exception`

### deploy

    public static java.util.List<PersistenceMetadata> deploy(java.net.URL url,
                                                             java.util.Map overrides,
                                                             org.xml.sax.EntityResolver resolver,
                                                             javax.persistence.spi.PersistenceUnitTransactionType defaultTransactionType)
                                                      throws java.lang.Exception

  Method used by JBoss EJB3 (4.2 and above) for parsing

  Throws:
    `java.lang.Exception`

### getTransactionType

    public static javax.persistence.spi.PersistenceUnitTransactionType getTransactionType(java.lang.String elementContent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD